Summary:         A unit testing framework for C
Name:            check
Version:         0.9.8
Release:         1%{?dist}%{?pext}
License:         LGPL
Group:           System Environment/Libraries
Source0:         http://downloads.sourceforge.net/project/%{name}/%{name}/%{version}/%{name}-%{version}.tar.gz
URL:             http://%{name}.sourceforge.net/
Buildroot:       %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:          Arien Malec <arien.malec@gmail.com>

%description
Check is a unit testing framework for C. It features a simple interface for
defining unit tests, putting little in the way of the developer. Tests are
run in a separate address space, so Check can catch both assertion failures
and code errors that cause segmentation faults or other signals. The output
from unit tests can be used within source code editors and IDEs.


%package         devel
Summary:         Development tools for Check
Group:           Development/Libraries
Requires:        %{name} = %{version}-%{release}
Requires:        pkgconfig
Requires(post):  /sbin/install-info
Requires(preun): /sbin/install-info

%description     devel
The %{name}-devel package contains the static libraries and header files
for developing software using Check.


%prep
%setup -q


%build
%configure \
	--enable-static \
	--enable-shared

%{__make} %{?_smp_mflags}


%check
%{__make} check


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_datadir}/%{name}

%{__make} \
	DESTDIR=${RPM_BUILD_ROOT} \
	install

%{__cp} -prd doc/example ${RPM_BUILD_ROOT}%{_datadir}/%{name}

%{__rm} -f   ${RPM_BUILD_ROOT}%{_libdir}/%{name}.so.?
%{__rm} -f   ${RPM_BUILD_ROOT}%{_infodir}/dir
%{__rm} -rf  ${RPM_BUILD_ROOT}%{_docdir}


%post -p /sbin/ldconfig

%post devel
/sbin/install-info %{_infodir}/%{name}.info %{_infodir}/dir || :


%preun devel
/sbin/install-info --delete %{_infodir}/%{name}.info %{_infodir}/dir || :


%postun -p /sbin/ldconfig


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc AUTHORS COPYING* *ChangeLog*
%doc INSTALL NEWS README THANKS TODO
%{_libdir}/libcheck.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/%{name}.h
%{_libdir}/libcheck.*a
%{_libdir}/libcheck.so
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/aclocal/%{name}.m4
%{_datadir}/%{name}
%{_infodir}/%{name}.info*


%changelog
* Thu Sep 01 2011 Peter Pramberger <peterpramb@member.fsf.org> - 0.9.8-1
- Initial build
